﻿using UnityEngine;
using System.Collections;

public class GameSettings : MonoBehaviour {

	//LEVEL NAME
	public string LEVEL1 = "Level1";
	public string LEVEL2 = "Level2";
	public string LEVEL3 = "Level3";
	
	//EXIT DOOR : GameObject name
	public string LEVEL1_EXITDOOR = "door_left";
	public string LEVEL2_EXITDOOR = "door_left";
	public string LEVEL3_EXITDOOR = "door_left";
	
	public bool IsPaused;

	void Start () {
		IsPaused = false;
		Screen.showCursor = false;
	}
	
	void Update () {

		Time.timeScale = (IsPaused) ? 0 : 1;

		if (IsPaused) {
				Screen.showCursor = true;
		} else {
			Screen.showCursor = false;		
		}
	}
}
