﻿using UnityEngine;
using System.Collections;

public class PlayerPhysics : MonoBehaviour {

	public GameObject pointer;	
	public Material pointer_Default;
	public Material pointer_Highlight;	

	public GameObject Item;

	
	// Update is called once per frame
	void Update () {

		Item = RayCasting();	
	}

	private GameObject RayCasting(){

		GameObject item = null;
		Ray ray = camera.ViewportPointToRay(new Vector3(0.5F, 0.5F, 0));
		RaycastHit hit;
		
		if (Physics.Raycast(ray, out hit, 2.0f)){
			Debug.DrawLine(ray.origin, hit.point,Color.blue);
			
			if (hit.collider.gameObject.tag == "loot" || hit.collider.gameObject.tag == "door"){
				pointer.renderer.material = pointer_Highlight;
				item = hit.collider.gameObject;
			}else{
				pointer.renderer.material = pointer_Default;
				item = null;
			}

			
		}else{
			item = null;
			pointer.renderer.material = pointer_Default;
		}

		return item;
	}
	/*
	private static float detectionRange = 2.0f;
	private static float nearestDistance;
	private float targetDistance;

	public GameObject EnteredDoor;

	public void OverlapSphere(){
		
		nearestDistance = detectionRange;	
		Collider[] targets = Physics.OverlapSphere (transform.position, detectionRange);		
		
		targetDistance = Mathf.Infinity; 

		foreach (Collider collided in targets){
			
			Vector3 position = transform.position; 		
			Vector3 diff = (collided.transform.position - position);
			nearestDistance = diff.sqrMagnitude; 
			
			if (collided.gameObject.name == "door_left" || collided.gameObject.name == "door_right"){

				if (    (nearestDistance < targetDistance )&&(nearestDistance < detectionRange)    ) { 
					targetDistance = nearestDistance;
					EnteredDoor = collided.gameObject;
				}
			}
			
			
		}
		
		
	}
	*/
}
