﻿using UnityEngine;
using System.Collections;

public class SceneIntroSleepy : MonoBehaviour {

	private string sceneName;
	private bool doCountdown = false;

	private string Scene_Intro_Sleepy = "Intro_Sleepy";

	// Use this for initialization
	void Start () {
	
		sceneName = Application.loadedLevelName;

		// Intro_Sleepy
		if (sceneName == Scene_Intro_Sleepy) {
			GameObject.Find("Plane_button_next").renderer.enabled = false;
			doCountdown = true;
		}
	}

	// Update is called once per frame
	void Update () {

		Intro_Sleepy_ShowButton ();
	}


	private void Intro_Sleepy_ShowButton(){
		
		bool isAnimationComplete = false;
		if (doCountdown) {
			isAnimationComplete = GameObject.Find("Plane_Img_BlackOut").animation.isPlaying;
		}
		
		if (!isAnimationComplete) {
			GameObject.Find("Plane_button_next").renderer.enabled = true;
		}
	}
}
