﻿using UnityEngine;
using System.Collections;

public class ClickButton : MonoBehaviour {

	public Material mtl_default;
	public Material mtl_small;
	public string OpenSceneOnClick;
	public bool HideOnClick;
	public bool IsClicked;

	// Use this for initialization
	void Start () {
		renderer.material = mtl_default;
	}
	
	void OnMouseDown(){
		renderer.material = mtl_small;

		if (Input.GetMouseButtonDown (0)) {

			if (HideOnClick){
				gameObject.renderer.enabled = false;
				IsClicked = true;
			}
			else if(OpenSceneOnClick != "" && gameObject.renderer.enabled ){
				Application.LoadLevel (OpenSceneOnClick);
			}
			 
		}
			
	}   

	void OnMouseUp(){
		renderer.material = mtl_default;
	}

}
